openapi: 3.0.0
info:
  version: NOTIFY
  title: 
  description: Used for notifiaction server
servers:
  - url: http://localhost:8099/
paths:
  /SalesOrder:
    get:
      description: ''
      operationId: 'getSalesOrder'
      parameters:
        - in: query
          name: createdon
          description: The date the item was created
          required: false
          schema:
            type: string
            format: date
        - in: query
          name: updatedon
          description: The date the item was last updated
          required: false
          schema:
            type: string
            format: date
      responses:
        200:
          description: A paged collection of items including a total count of matches
          content: 
            application/json:
              schema:
                $ref: '#/components/schemas/SalesOrderCollection'
        403:
          description: A security issue occured, an incorrect API key is the most likely cause
        400:
          description: An incorrect query parameter or condition
  /SalesOrder/{id}:
    get:
      description: ''
      operationId: 'getSalesOrderById'
      parameters:
        - in: path
          name: id
          description: 'The ID of the item'
          required: true
          schema:
            type: integer
      responses:
        200:
          description: A single 
          content: 
            application/json:
              schema:
                $ref: '#/components/schemas/SalesOrder'
        403:
          description: A security issue occured, an incorrect API key is the most likely cause
        400:
          description: An incorrect query parameter or condition
  /SalesOrderComplete:
    get:
      description: ''
      operationId: 'getSalesOrderComplete'
      parameters:
        - in: query
          name: createdon
          description: The date the item was created
          required: false
          schema:
            type: string
            format: date
        - in: query
          name: updatedon
          description: The date the item was last updated
          required: false
          schema:
            type: string
            format: date
      responses:
        200:
          description: A paged collection of items including a total count of matches
          content: 
            application/json:
              schema:
                $ref: '#/components/schemas/SalesOrderCompleteCollection'
        403:
          description: A security issue occured, an incorrect API key is the most likely cause
        400:
          description: An incorrect query parameter or condition
  /SalesOrderComplete/{id}:
    get:
      description: ''
      operationId: 'getSalesOrderCompleteById'
      parameters:
        - in: path
          name: id
          description: 'The ID of the item'
          required: true
          schema:
            type: integer
      responses:
        200:
          description: A single 
          content: 
            application/json:
              schema:
                $ref: '#/components/schemas/SalesOrderComplete'
        403:
          description: A security issue occured, an incorrect API key is the most likely cause
        400:
          description: An incorrect query parameter or condition
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
  schemas:
    PostResponse:
      type: object
      properties:
        Status:
          type: string
        Message:
          type: string
        QueueEntryId:
          type: integer
        Data:
          type: array
          items:
            type: object
            properties:
              Id:
                type: integer
              TypeName:
                type: string
              Info:
                type: string
    PutResponse:
      type: object
      properties:
        Status:
          type: string
        Message:
          type: string
        QueueEntryId:
          type: integer
        Data:
          type: array
          items:
            type: object
            properties:
              Id:
                type: integer
              TypeName:
                type: string
              Info:
                type: string
    SalesOrder:
      type: object
      properties:
        ID:
          type: integer
          format: int64
        UpdatedOn:
          type: string
          format: date
        CreatedOn:
          type: string
          format: date
        WorkflowStatus:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Code:
              type: string
            Description:
              type: string
        NetAmount:
          type: number
        Number:
          type: string
    SalesOrder_Write:
      type: object
      properties:
        ID:
          type: integer
          format: int64
        UpdatedOn:
          type: string
          format: date
        CreatedOn:
          type: string
          format: date
        WorkflowStatus:
          type: number
        NetAmount:
          type: number
        Number:
          type: string
    SalesOrderCollection:
      type: object
      properties:
        TotalCount:
          type: integer
        Data:
          type: array
          items:
            $ref: '#/components/schemas/SalesOrder'
    SalesOrderComplete:
      type: object
      properties:
        ID:
          type: integer
          format: int64
        UpdatedOn:
          type: string
          format: date
        CreatedOn:
          type: string
          format: date
        Number:
          type: string
        ActiveAccountAddress:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            AddressLine1:
              type: string
        Items:
          type: array
          items:
            type: object
            properties:
              ID:
                type: integer
                format: int64
              UpdatedOn:
                type: string
                format: date
              CreatedOn:
                type: string
                format: date
              Quantity:
                type: number
              ActiveLineDescription.Line1:
                type: string
              ActiveLineProductCode:
                type: string
              QuantityAllocated:
                type: number
              QuantityBeingPicked:
                type: number
              QuantityOutstanding:
                type: number
              QuantityPicked:
                type: number
              QuantitySupplied:
                type: number
              Product:
                type: object
                properties:
                  ID:
                    type: integer
                    format: int64
                  UpdatedOn:
                    type: string
                    format: date
                  CreatedOn:
                    type: string
                    format: date
                  Code:
                    type: string
                  Description:
                    type: string
                  StockingStatus:
                    type: string
              QuantityWrittenOff:
                type: number
        WorkflowStatus:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Code:
              type: string
            Description:
              type: string
        ActiveAccountName:
          type: string
        ActiveDeliveryAddress:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            AddressLine2:
              type: string
            AddressLine2:
              type: string
            AddressLine3:
              type: string
            AddressLine4:
              type: string
            PostCode:
              type: string
            City:
              type: string
            AddressLine1:
              type: string
        ActiveDeliveryContactName:
          type: string
        ActiveDeliveryContactMobilePhoneNumber:
          type: string
        Customer:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Code:
              type: string
            Name:
              type: string
            EmailAddress:
              type: string
            D_DefaultNotificationEmail:
              type: string
        OrderType:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Code:
              type: string
            Description:
              type: string
        AlternateReference:
          type: string
        SalesContact:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            FullName:
              type: string
            EmailAddress:
              type: string
    SalesOrderComplete_Write:
      type: object
      properties:
        ID:
          type: integer
          format: int64
        UpdatedOn:
          type: string
          format: date
        CreatedOn:
          type: string
          format: date
        Number:
          type: string
        ActiveAccountAddress:
          type: number
        Items:
          type: array
          items:
            type: object
            properties:
              ID:
                type: integer
                format: int64
              UpdatedOn:
                type: string
                format: date
              CreatedOn:
                type: string
                format: date
              Quantity:
                type: number
              ActiveLineDescription.Line1:
                type: string
              ActiveLineProductCode:
                type: string
              QuantityAllocated:
                type: number
              QuantityBeingPicked:
                type: number
              QuantityOutstanding:
                type: number
              QuantityPicked:
                type: number
              QuantitySupplied:
                type: number
              Product:
                type: number
              QuantityWrittenOff:
                type: number
        WorkflowStatus:
          type: number
        ActiveAccountName:
          type: string
        ActiveDeliveryAddress:
          type: number
        ActiveDeliveryContactName:
          type: string
        ActiveDeliveryContactMobilePhoneNumber:
          type: string
        Customer:
          type: number
        OrderType:
          type: number
        AlternateReference:
          type: string
        SalesContact:
          type: number
    SalesOrderCompleteCollection:
      type: object
      properties:
        TotalCount:
          type: integer
        Data:
          type: array
          items:
            $ref: '#/components/schemas/SalesOrderComplete'
security:
  - apiKey: []
